Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 180906 - Output save as failed: "Writing to file nullnull failed"
Output save as failed: "Writing to file nullnull failed"
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Output Window
6.x
PC Mac OS X
: P3 (vote)
: 7.0
Assigned To: Antonin Nebuzelsky
issues@platform
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 06:45 UTC by emi
Modified: 2010-10-01 03:10 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Patch which fixes the issue (973 bytes, patch)
2010-09-28 14:24 UTC, emi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description emi 2010-02-18 06:45:41 UTC
Hy,

1. Try to save the contents of the output window (with command+S or from the menu)

2. See the "Save output as" window. Press cancel

3. See an error dialog with the title "Save as failed" and text "Writing to file nullnull failed". Normally this dialog shouldn't show up at all (as well as any attempt to write to any file)


Product Version: NetBeans IDE 6.8 (Build 200912041610)
Java: 1.6.0_17; Java HotSpot(TM) 64-Bit Server VM 14.3-b01-101
System: Mac OS X version 10.5.8 running on x86_64; MacRoman; en_US (nb)
Comment 1 emi 2010-09-28 14:24:55 UTC
Created attachment 102179 [details]
Patch which fixes the issue
Comment 2 emi 2010-09-28 14:27:43 UTC
Jiri, could you please apply my patch to the trunk or forward it to somehow who takes care of the core.output2 module ?

It's a really small bug, but annoying to see it on OSX.
Comment 3 Jiri Kovalsky 2010-09-29 12:42:46 UTC
Tondo, can you please review and apply this patch if you find no problems? Thanks a lot!
Comment 4 Antonin Nebuzelsky 2010-09-30 11:17:52 UTC
Thanks for the patch. I could not verify it, but it looks correct to me. Applied...

core-main #8fdfef853428
Comment 5 emi 2010-09-30 11:20:46 UTC
This bug only happens on OSX, you would need a Mac to verify it.

Thanks for applying the patch.
Comment 6 Jiri Kovalsky 2010-09-30 12:00:44 UTC
Great, thanks Emilian for the patch and thanks Tondo for applying it!
Comment 7 Quality Engineering 2010-10-01 03:10:37 UTC
Integrated into 'main-golden', will be available in build *201010010000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8fdfef853428
User: Antonin Nebuzelsky <anebuzelsky@netbeans.org>
Log: #180906 - emi's patch of Output save as failed: "Writing to file nullnull failed"


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo